import { ProviderClass } from '@builderbot/bot';
import { Vendor } from '@builderbot/bot/dist/provider/providerClass';
import { BotContext, BotCtxMiddlewareOptions, SendOptions } from '@builderbot/bot/dist/types';
import twilio from 'twilio';

import { TwilioWebHookServer } from './server';
import { ITwilioProviderOptions, TwilioRequestBody } from './types';
declare class TwilioProvider extends ProviderClass {
    http: TwilioWebHookServer;
    vendor: Vendor<twilio.Twilio>;
    private vendorNumber;
    private publicUrl;
    constructor({ accountSid, authToken, vendorNumber, publicUrl }: ITwilioProviderOptions);
    private busEvents;
    private sendMedia;
    private sendButtons;
    private listenOnEvents;
    /**
     *
     * @param port
     * @param opts
     * @returns
     */
    initHttpServer: (port: number, opts: Pick<BotCtxMiddlewareOptions, 'blacklist'>) => void;
    sendMessage: (number: string, message: string, options?: SendOptions) => Promise<any>;
    saveFile: (ctx: Partial<TwilioRequestBody & BotContext>, options?: {
        path: string;
    }) => Promise<string>;
}
export { TwilioProvider };
//# sourceMappingURL=index.d.ts.map